frr defaults datacenter
hostname {{ inventory_hostname }}
username cumulus nopassword
!
service integrated-vtysh-config
!
log syslog informational
!
ip pim rp {{ multicast.underlay[devices[inventory_hostname].site].rpaddr|ipaddr('address') }} 224.0.0.0/4
ip pim ecmp
ip pim keep-alive-timer 3600
!
{% for interface in devices[inventory_hostname].interfaces.fabric %}
interface {{ interface }}
 ip pim sm
{% endfor %}
!
router bgp {{ devices[inventory_hostname].bgp.asn }}
 bgp router-id {{ devices[inventory_hostname].interfaces.loopback|ipaddr('address') }}
 bgp bestpath as-path multipath-relax
 neighbor underlay peer-group
 neighbor underlay remote-as external
{% for interface in devices[inventory_hostname].interfaces.fabric %}
 neighbor {{ interface }} interface peer-group underlay
{% endfor %}
 !
 address-family ipv4 unicast
  redistribute connected
 exit-address-family
 !
 address-family l2vpn evpn
  neighbor underlay activate
  advertise-all-vni
 exit-address-family
!
line vty
!
